[master] Untrusted packages can not be installed

Bug #705988 reported by Kiwinote on 2011-01-21
504
This bug affects 130 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: software-center

This is the master bug report for software-center not being able to install untrusted packages.

The precise error message can be seen in the screenshot attached and is as follows:
"Requires installation of untrusted packages
The action would require the installation of packages from not authenticated sources."

The error dialog only has an 'ok' button which aborts the installation and has no option to trust the source.

----------------------------------------------------------------

WORK AROUNDS:

1. Use terminal: sudo apt-get install package-name-here

2. Go to Ubuntu Software Centre > Edit > Software Sources, Download from: Change to Main Server or try a different server.

3. Go to Ubuntu Software Centre > Edit > Software Sources, open the second tab "Other Software" and uncheck the Canonical Partners (Source Code)

Kiwinote (kiwinote) wrote :
Changed in software-center (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Michael E Granat (megranat) wrote :

Prevents installation of ClamTk (antivirus) and, as of this morning, the eSpeak speech synthesiser GUI on some of my desktop PCs but not my laptop, running Ubuntu 10.10 (Maverick).

Michael E Granat (megranat) wrote :

Untrusted packages error just prevented me from installing the KompoZer Web site authoring tool on my main desktop Ubuntu (Maverick) PC. Text in the dialog described the untrusted application as being "kompozer kompozer-data". This bug is a real nuisance that prevents installation of important applications that I really need. Very frustrating.

description: updated
tags: added: metabug
Michael E Granat (megranat) wrote :

The suggested workaround that I received (below) failed on two separate desktop PCs running Ubuntu Maverick.

+ WORKAROUND: Immediately before opening software-center perform at the
+ Terminal:
+
+ sudo apt-get update

The software centre could not complete an install (of Kompozer on one PC and ClamTK on another) when the terminal window was open. Only after the terminal window was closed would the install commence, but the untrusted application alert / bug terminated the attempted installation in both instances.

description: updated

That is not a viable workaround. It fails on both of my Ubuntu 10.10
(Maverick) desktop PCs.
--
Michael Edward Granat <email address hidden>

On Thu, 2011-02-10 at 05:20 +0000, Christopher M. Penalver wrote:

> ** Description changed:
>
> Binary package hint: software-center
>
> This is the master bug report for software-center not being able to
> install untrusted packages.
>
> The precise error message can be seen in the screenshot attached and is as follows:
> "Requires installation of untrusted packages
> The action would require the installation of packages from not authenticated sources."
>
> The error dialog only has an 'ok' button which aborts the installation
> and has no option to trust the source.
> -
> - WORKAROUND: Immediately before opening software-center perform at the
> - Terminal:
> -
> - sudo apt-get update
>

After installing Ubuntu Tweak, I noticed the error no longer shows for some reason.

Cazacu Bogdan (cazacub) wrote :

Darn...i didnt managed to install anything...the "funny" thing is...

I'm running a notebook on a dual boot system (ubuntu x32 and windows x64).
on my windows machine i have a vbox running ubuntu x32 (same install cd!).
The thing is i CAN install anything i want in the vbox version of ubuntu but
i CANT install shit on my dual boot ubuntu session...

:(

On 11 February 2011 15:44, Zenon Tigerpaw <email address hidden> wrote:

> After installing Ubuntu Tweak, I noticed the error no longer shows for
> some reason.
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (475075).
> https://bugs.launchpad.net/bugs/705988
>
> Title:
> [master] Untrusted packages can not be installed
>
> Status in “software-center” package in Ubuntu:
> Triaged
>
> Bug description:
> Binary package hint: software-center
>
> This is the master bug report for software-center not being able to
> install untrusted packages.
>
> The precise error message can be seen in the screenshot attached and is as
> follows:
> "Requires installation of untrusted packages
> The action would require the installation of packages from not
> authenticated sources."
>
> The error dialog only has an 'ok' button which aborts the installation
> and has no option to trust the source.
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/software-center/+bug/705988/+subscribe
>

Vincenzo Pii (vinc-pii) wrote :

Just use the terminal to overcome this issue, until it is fixed.
If you want to install package xyz which is not signed, then just do

sudo apt-get install xyz

The software center tells you the name of the packages.

Michael E Granat (megranat) wrote :

That works a treat, thank you Vincenzo.

--
Michael Edward Granat <email address hidden>

On Fri, 2011-02-11 at 15:53 +0000, Vincenzo Pii wrote:

> Just use the terminal to overcome this issue, until it is fixed.
> If you want to install package xyz which is not signed, then just do
>
> sudo apt-get install xyz
>
> The software center tells you the name of the packages.
>

thansks Vincenzo Pii

IKT (ikt) on 2011-03-15
Changed in software-center (Ubuntu):
status: Triaged → Incomplete
status: Incomplete → Confirmed
IKT (ikt) wrote :

Setting to confirmed,

To set to triaged:

Does the bug report describe a valid bug? <- yes
Does the bug report contain enough details? <- unknown
Is the bug report ready to be worked on by a developer? <- unknown

I don't believe this is fully triaged.

In addition I strongly believe this should have a 'high' importance, this is a core application failing affecting a small portion of users, I've sent a message to the maintainer of USC but received no response, this needs to be fixed before release.

Ze Belchior (ze-belchior) wrote :

I had the same problem. I changed the ubuntu software server from "Download from: Server for India" to "Download from:Main Server" updates and software downloads ---> works for me!

Wombat (patersonna) wrote :

Perhaps surprisingly, it worked for me also !

On 21/03/11 14:55, Ze Belchior wrote:
> I had the same problem. I changed the ubuntu software server from
> "Download from: Server for India" to "Download from:Main Server" updates
> and software downloads ---> works for me!
>

IKT (ikt) on 2011-03-28
description: updated
IKT (ikt) on 2011-03-28
description: updated
kear-yuch (kear-yuch) wrote :

it works for me ,thanks!!!
changed the ubuntu software server from "Download from: Server for China" to "Download from:Main Server" ......

Michael X (crazedpsyc) wrote :

I think I'll take a shot at this today, I've had the problem before.

Changed in software-center (Ubuntu):
assignee: nobody → Michael X (crazedpsyc)
status: Confirmed → In Progress
Michael X (crazedpsyc) wrote :

As hard as I try, I just cannot reproduce it anymore, and I can't find the specific bit of code causing it.
So, here it goes, back to the community :(

Changed in software-center (Ubuntu):
assignee: Michael X (crazedpsyc) → nobody
status: In Progress → Confirmed

Same bug has been triaged in update-manager. bug 707392.
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Michael (mnichau) wrote :

Some of you might have a problem with missing PGP keys, which exposes this bug in a big way. That's because in that case all packages from an affected software source would be 'untrusted', as PGP keys are used to authenticate them.

If that's the case, you might get it fixed by:

cd /var/lib/apt
sudo mv lists lists.old
sudo mkdir -p lists/partial
sudo apt-get update

It worked fine for me. When you satisfy yourself that everything works fine, you can then delete the lists.old folder (it was taking about 70MB on my fresh 11:10 installation):

cd /var/lib/apt
sudo rm -r lists.old

Source:
http://askubuntu.com/questions/70553/software-center-not-downloading

Michael E Granat (megranat) wrote :

Seems to have been fixed in recent system updates since the more recent
version of software-center was rolled out some time ago.

Haven't experienced that issue since the 11.10 roll-out.

On Thu, 2011-11-24 at 23:40 +0000, Michael wrote:

> Some of you might have a problem with missing PGP keys, which exposes
> this bug in a big way. That's because in that case all packages from an
> affected software source would be 'untrusted', as PGP keys are used to
> authenticate them.
>
> If that's the case, you might get it fixed by:
>
> cd /var/lib/apt
> sudo mv lists lists.old
> sudo mkdir -p lists/partial
> sudo apt-get update
>
> It worked fine for me. When you satisfy yourself that everything works
> fine, you can then delete the lists.old folder (it was taking about 70MB
> on my fresh 11:10 installation):
>
> cd /var/lib/apt
> sudo rm -r lists.old
>
> Source:
> http://askubuntu.com/questions/70553/software-center-not-downloading
>

Tomas Gouzi (gouzi) wrote :

Hi, I solve all problems by simply way - on Fujitsu Siemens desktop i have UBUNTU 10.10 and wont update anything anymore - no need.
On notebook ACER 5553G I had installed SUSE 12.1 - All works immidiatelly 100% no bug with microphone, camera & other bullshits..
Also easy way how to switch from crazzy unuseful UNITY to Standard one (multidesktop w gnome-panel&&&)..

As I reading reactions of users, I'm not only one who do that...

PS: I had start using Linux in year 1998... an UBNTU I'm using since 8.04. Unity kills all also things like FORBIDEN runs .exe w/o permision,
where is LINUX user freedom ?

T.K.

______________________________________________________________
> Od: "Michael E Granat"
> Komu:
> Datum: 25.11.2011 04:30
> Předmět: Re: [Bug 705988] Re: [master] Untrusted packages can not be installed
>
Seems to have been fixed in recent system updates since the more recent
version of software-center was rolled out some time ago.

Haven't experienced that issue since the 11.10 roll-out.

On Thu, 2011-11-24 at 23:40 +0000, Michael wrote:

> Some of you might have a problem with missing PGP keys, which exposes
> this bug in a big way. That's because in that case all packages from an
> affected software source would be 'untrusted', as PGP keys are used to
> authenticate them.
>
> If that's the case, you might get it fixed by:
>
> cd /var/lib/apt
> sudo mv lists lists.old
> sudo mkdir -p lists/partial
> sudo apt-get update
>
> It worked fine for me. When you satisfy yourself that everything works
> fine, you can then delete the lists.old folder (it was taking about 70MB
> on my fresh 11:10 installation):
>
> cd /var/lib/apt
> sudo rm -r lists.old
>
> Source:
> http://askubuntu.com/questions/70553/software-center-not-downloading
>

--
You received this bug notification because you are subscribed to a
duplicate bug report (818507).
https://bugs.launchpad.net/bugs/705988

Title:
  [master] Untrusted packages can not be installed

Status in “software-center” package in Ubuntu:
  Confirmed

Bug description:
  Binary package hint: software-center

  This is the master bug report for software-center not being able to
  install untrusted packages.

  The precise error message can be seen in the screenshot attached and is as follows:
  "Requires installation of untrusted packages
  The action would require the installation of packages from not authenticated sources."

  The error dialog only has an 'ok' button which aborts the installation
  and has no option to trust the source.

  ----------------------------------------------------------------

  WORK AROUNDS:

  1. Use terminal: sudo apt-get install package-name-here

  2. Go to Ubuntu Software Centre > Edit > Software Sources, Download
  from: Change to Main Server or try a different server.

  3. Go to Ubuntu Software Centre > Edit > Software Sources, open the
  second tab "Other Software" and uncheck the Canonical Partners (Source
  Code)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-center/+bug/705988/+subscriptions

doo (2niekai) wrote :

Workaround by Steven Major (semajor) from https://answers.launchpad.net/ubuntu/+source/update-manager/+question/172657:

in a terminal, submit:
      sudo apt-get update

There will be an error like this:
      GPG error: http://software.rc.fas.harvard.edu natty/ Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY ####

where #### is some string of digits and letters.

'####' is the missing key. To provide this key, submit:
      sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys ####

---
This way of stopping "untrusted software" is harmful in 3 ways:
1. User is not aware what these keys really mean, so it contributes nothing to security.
2. It stops updating the whole system because of one questionable source.
3. It reminds of ancient mswindows idiocy to dictate what software is good for user and what is not.

A GUI warning for user to think again before installing, is maximum that is still ethical, imho.

markling (markling) wrote :

Xubuntu base requires installation of untrusted packages from unauthenticated sources

Software updater today wanted to install a handful of updates under the title "Xubuntu base". I told it to go ahead. It then gave the following message:

"Software Updateer Requires Installation of untrusted packages.
This requires installation of untrusted packages from unauthenticated sources."

This suggested to me that I did not want to go ahead with the installation. But the message window only allowed me to press <OK>.

This suggests a couple of potential errors:

- Software updater possibly using untrusted sources for standard packages?
- Software updater failing to inform user which packages are using untrusted sources, nor giving option for user to change offending source, or deselect offending package

I clicked OK. But it would not go ahead with the install. That is actually a relief - most reassuring that Ubuntu has got my back. But it could do a little more here: it can tell me which update and which source is causing the problem and allow me to deselect it or follow some other necessary course of action.

The following packages were in the update list:

Gobject-based wrapper library for libudev
Libgudev-1.0 introspection data
Libudev shared library
Systemd runtime services
Systemd utility library

markling (markling) wrote :

As you can see from my entry above, this effects udev. This seems quite crucial. Isn't this a kernel-related issue? Does this mean a critical package is not updating because its source is not trusted?

markling (markling) wrote :

Regarding the workarounds given at the top of this page. 1 & 3 do not apply. I followed 2. (change to main server), and Software Updater crashed. Crash report has been sent. Package did not relaunch.

Restarted updater from the drop-down on the notification icon (still showing yellow). The Software Updater then reported that my computer was up to date. I clicked OK. Three minutes later, it popped up again saying this computer is up to date. But the dropdown on the yellow notification icon still says there are 5 updates available, as before. Clicking on "Show updates" causes it again to tell me my computer is up to date. We know it's not up to date.

markling (markling) wrote :

The server, btw, had been set to UK standard.

Restarted machine. Software updater no longer showing indicator. Ran it from Applications Menu. Same 5 updates available. They installed without a hitch. Workaround 2 worked around the problem for me.

Eugene baxter (eugenebax) wrote :

It's the year 2014 And this bug is STILL happening!!!! And this bug/thread started over 3 Years ago!!!! FFS!

Ubuntu 14.04 Software Centre fails to install .deb files with message;
'Requires installation of untrusted packages'... 'This requires installing packages from unauthenticated sources.'
'Details: freeglut3 libcg libcggl libportaudiocpp0 nvidia-cg-dev nvidia-cg-toolkit'. Then it gives you two buttons for options: 'OK' and 'Repair'.

If I click on 'OK' then nothing happens and all of the apps fail to install.
I even followed some of the advice on this bug thread about changing 'software sources'..'download from'...Australian Server to Main Server, but to no avail.

The latest package that I've tried to install unsuccessfully was:
Lightworks for Linux 64-bit.
It was the latest Beta version: 11.5.2.d
Release date: 03 Jul 2014

I can get around this buy manually installing the packages in Terminal, but doing this all of the time is getting annoying.

Eugene baxter (eugenebax) wrote :

So this error has been occurring in this thread for over 3years and 6months. Why can't it be triaged by now?

Inoki  (inoki) wrote :

Same issue here in Trusty.

Matthew Paul Thomas (mpt) wrote :

Eugene, Launchpad's use of the term "Triaged" is misleading. Here it means that "the bug report contains all information a developer needs to start work on a fix". <https://help.launchpad.net/Bugs/Statuses>

This bug report is not "Triaged" because it does not contain reliable steps to reproduce the problem. If you can work out those steps -- ideally starting from a brand-new Ubuntu installation -- please update the description to include them. Thanks!

bsalem (bruce-euphon) wrote :
Download full text (4.8 KiB)

I'll reply. I know the tech support game, and one of the most frustrating
aspects of it is that the strategy of demanding more troubleshooting from
users is used as a way to avoid having to deal with a design flaw in the
tool that generated the message. For the Update Manager to generate a
message "untrusted packages found" and then quit with no more information
that that is the real problem here, not that users need to figure out which
logs to search, they shouldn't have to. It should provide a list to the
offending packages, even just to the syslog, but tell the user where to
look for them. and it should advise what to do, update or uninstall some
packages. The behavior of the Update Manager in this case is more like
Windows prior to Vista.

I have recently realized why most Linices will never replace Windows
installs and why if Macintosh hardware were half its price that OS X could
destroy Linux. it is because in the case of Windows and Mac, that the
vendor controls the hardware platform, Windows drivers being critical in
the former, but in the latter, a huge effort is made to ensure that the
configuration of UNIX-like tools in OS X is ironclad before it ships. This
will kill Linux in competing for the mass market now held by Windows and
Apple. Oh sure, it is easy to be elitist and say that you have to use the
shell and be a UNIX sysadmin to really use Linux, but that is but an excuse
for not having ironclad configurations of your core products? Update
manager is a core product, and maybe if you can't get some control over
that, you shouldn't be in the business. All it would take to wipe you off
the face of the earth is for Macintosh to become as cheap as other PCs
because on a par "It Just Works".

I have other complaints about Ubuntu, like why ipython is so down-rev for
12.04, ipython notebook being so significant that it could end the window
manager wars. With good browser support of programming environment and
shells, who needs a full featured window manager? I am using Anaconda,
which is huge, but it is better than what Ubuntu ships and it is annoying
to have to use it in my files. It would blow quota if I had to live with
that.

Oh I know that the last paragraph and this one will elicit the response to
open separate bug reports on them, and I may, but another example of poor
support is that the Debian Document Viewer on 14.04 fails because the
apache2 config for dww points to the wrong place for the scripts it uses.
This is a conflict between what Ubuntu 14.02 uses and the upstream Debian
config. The issue is easily fixed by editing the apache file, but this is
the sort of thing which should be caught by Connicall and not exposed to
the user. This is the sort of thing would could never happen on an OS X
install and is why if the reality of platform cost were to change that
Ubuntu would be put out of market share and that Linux in general could go
into disuse.

On Tue, Jul 29, 2014 at 1:06 AM, Matthew Paul Thomas <email address hidden>
wrote:

> Eugene, Launchpad's use of the term "Triaged" is misleading. Here it
> means that "the bug report contains all information a developer needs to
> start work on a fix". <https://help.launchpad....

Read more...

Matthew Paul Thomas (mpt) wrote :

bsalem, if you had read the comment I was replying to, you'd know that the "Details" expander does show the list of offending packages. But that by itself does not comprise steps to reproduce the problem. I appreciate your frustration, but this is not a tech support system, it is a bug tracker. A bug tracker is a system for helping developers make the best use of their time. And in general, developer time is better used fixing the many bugs that already have steps to reproduce, than trying to find ways to reproduce bugs that do not.

bsalem (bruce-euphon) wrote :
Download full text (3.4 KiB)

How can a package installer not be a tech support tool? If it weren't for
it your users could not add and remove packages, so to that end its
function is essentially a tech support tool. I appreciate you pointing our
that I could find out which packages pose problems and hopefully there is a
suggestion in these details that I may need to add/remove packages even if
i need to use a more powerful tool like Synaptic Package Manager or the
sudo apt-get command.

My point wasn't that I couldn't find may way around these and other
problems, it is that having install configurations that are a fragile as
what I have been seeing of late is a show-stopper for Ubuntu and other
Linices that want to compete for market share from Windows and Mac OSX,
especially since the latter is UNIX and does not have these sorts of
problem often or for very long.

Another vexing thing is the I have learned to use Synaptic for more than
just installing packages, especially when the Software Center GUI doesn't
tell you where it installed things. Because man pages are often not up to
date or accurate, I have had to use it to find out where libs and docs live
that the Software Center does not say when it installs a package. This is a
problem for technical packages. The reason I care is that I can't find
Synaptic
 in my 14.04 install. It is in 12.04, so given what the Software Center
doesn't do, that is a regression.

On Wed, Jul 30, 2014 at 1:02 AM, Matthew Paul Thomas <email address hidden>
wrote:

> bsalem, if you had read the comment I was replying to, you'd know that
> the "Details" expander does show the list of offending packages. But
> that by itself does not comprise steps to reproduce the problem. I
> appreciate your frustration, but this is not a tech support system, it
> is a bug tracker. A bug tracker is a system for helping developers make
> the best use of their time. And in general, developer time is better
> used fixing the many bugs that already have steps to reproduce, than
> trying to find ways to reproduce bugs that do not.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (774393).
> https://bugs.launchpad.net/bugs/705988
>
> Title:
> [master] Untrusted packages can not be installed
>
> Status in “software-center” package in Ubuntu:
> Confirmed
>
> Bug description:
> Binary package hint: software-center
>
> This is the master bug report for software-center not being able to
> install untrusted packages.
>
> The precise error message can be seen in the screenshot attached and is
> as follows:
> "Requires installation of untrusted packages
> The action would require the installation of packages from not
> authenticated sources."
>
> The error dialog only has an 'ok' button which aborts the installation
> and has no option to trust the source.
>
> ----------------------------------------------------------------
>
> WORK AROUNDS:
>
> 1. Use terminal: sudo apt-get install package-name-here
>
> 2. Go to Ubuntu Software Centre > Edit > Software Sources, Download
> from: Change to Main Server or try a different server.
>
> 3. Go to Ubuntu Software Centre > Edit > Software Sources, op...

Read more...

bsalem (bruce-euphon) wrote :
Download full text (3.8 KiB)

This is what the Details" said just now when I tried to install ipython

libjs-jquery-ui libjs-mathjax python-decorator python-simplegeneric
python-zmq

And no indication of what I am to do. This is hardly a way to run a distro
that is billed as a Windows or Mac replacement.

On Wed, Jul 30, 2014 at 3:58 PM, Bruce Salem <email address hidden> wrote:

> How can a package installer not be a tech support tool? If it weren't for
> it your users could not add and remove packages, so to that end its
> function is essentially a tech support tool. I appreciate you pointing our
> that I could find out which packages pose problems and hopefully there is a
> suggestion in these details that I may need to add/remove packages even if
> i need to use a more powerful tool like Synaptic Package Manager or the
> sudo apt-get command.
>
> My point wasn't that I couldn't find may way around these and other
> problems, it is that having install configurations that are a fragile as
> what I have been seeing of late is a show-stopper for Ubuntu and other
> Linices that want to compete for market share from Windows and Mac OSX,
> especially since the latter is UNIX and does not have these sorts of
> problem often or for very long.
>
> Another vexing thing is the I have learned to use Synaptic for more than
> just installing packages, especially when the Software Center GUI doesn't
> tell you where it installed things. Because man pages are often not up to
> date or accurate, I have had to use it to find out where libs and docs live
> that the Software Center does not say when it installs a package. This is a
> problem for technical packages. The reason I care is that I can't find
> Synaptic
> in my 14.04 install. It is in 12.04, so given what the Software Center
> doesn't do, that is a regression.
>
>
> On Wed, Jul 30, 2014 at 1:02 AM, Matthew Paul Thomas <email address hidden>
> wrote:
>
>> bsalem, if you had read the comment I was replying to, you'd know that
>> the "Details" expander does show the list of offending packages. But
>> that by itself does not comprise steps to reproduce the problem. I
>> appreciate your frustration, but this is not a tech support system, it
>> is a bug tracker. A bug tracker is a system for helping developers make
>> the best use of their time. And in general, developer time is better
>> used fixing the many bugs that already have steps to reproduce, than
>> trying to find ways to reproduce bugs that do not.
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (774393).
>> https://bugs.launchpad.net/bugs/705988
>>
>> Title:
>> [master] Untrusted packages can not be installed
>>
>> Status in “software-center” package in Ubuntu:
>> Confirmed
>>
>> Bug description:
>> Binary package hint: software-center
>>
>> This is the master bug report for software-center not being able to
>> install untrusted packages.
>>
>> The precise error message can be seen in the screenshot attached and is
>> as follows:
>> "Requires installation of untrusted packages
>> The action would require the installation of packages from not
>> authenticated sources."
>>
>> The error dialog only has ...

Read more...

Matthew Paul Thomas (mpt) wrote :

Whether a package installer is a tech support tool is irrelevant; the point is that this bug tracker is not a tech support tool. And the 1277 extra words you posted still do not contain any steps to reproduce the problem, they have just made the report noisier. If you can't help fix the bug, I suggest posting to askubuntu.com instead.

bsalem (bruce-euphon) wrote :

Fallacy of assertion and tautology. Package Manager is not a Tech Support
because you assert that it is not a tech support tool, and there is no
convincing argument in your remarks to support the assertion.

I DID give some information on the failure, spacfic info, and as much as
the tool gave me. Look at my last posting. I tried to install the ipython
package and the tool FAILED with untrusted packages and I documented as
much info as the tool gave me, which isn't enough. It could have told me
that I need to do something with the names of supposedly conflicting
packages. It does not. Do I uninstall these packages? Do I find equivalent
replacements? It does not say. It needs to and it could very easily.

I have encountered arrogance from Cannonical before, is to English
snobbery, I don't know, but i can assert that if Apple ever cuts the price
of the Mac to make it on a par with PCs, Cannonical will be put out of
business because of sloppy integration of packages, much less of a problem
of Mac OS, there is no excuse from some of the configuration problems I've
seen between versions of Ubuntu, and no excuse for your unjustified
assertion.

On Fri, Aug 1, 2014 at 4:30 AM, Matthew Paul Thomas <email address hidden>
wrote:

> Whether a package installer is a tech support tool is irrelevant; the
> point is that this bug tracker is not a tech support tool. And the 1277
> extra words you posted still do not contain any steps to reproduce the
> problem, they have just made the report noisier. If you can't help fix
> the bug, I suggest posting to askubuntu.com instead.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (774393).
> https://bugs.launchpad.net/bugs/705988
>
> Title:
> [master] Untrusted packages can not be installed
>
> Status in “software-center” package in Ubuntu:
> Confirmed
>
> Bug description:
> Binary package hint: software-center
>
> This is the master bug report for software-center not being able to
> install untrusted packages.
>
> The precise error message can be seen in the screenshot attached and is
> as follows:
> "Requires installation of untrusted packages
> The action would require the installation of packages from not
> authenticated sources."
>
> The error dialog only has an 'ok' button which aborts the installation
> and has no option to trust the source.
>
> ----------------------------------------------------------------
>
> WORK AROUNDS:
>
> 1. Use terminal: sudo apt-get install package-name-here
>
> 2. Go to Ubuntu Software Centre > Edit > Software Sources, Download
> from: Change to Main Server or try a different server.
>
> 3. Go to Ubuntu Software Centre > Edit > Software Sources, open the
> second tab "Other Software" and uncheck the Canonical Partners (Source
> Code)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/software-center/+bug/705988/+subscriptions
>

To post a comment you must log in.